%global _empty_manifest_terminate_build 0
Name:           perl-Guard
Version:        1.023
Release:        3
Summary:        Safe cleanup blocks
License:        GPL-1.0-or-later or Artistic-1.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Guard/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/Guard-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker) perl-generators perl-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
This module implements so-called "guards". A guard is something
(usually an object) that "guards" a resource, ensuring that it is
cleaned up when expected.
%package help
Summary : Safe cleanup blocks
Provides: perl-Guard-doc
%description help
This module implements so-called "guards". A guard is something
(usually an object) that "guards" a resource, ensuring that it is
cleaned up when expected.
%prep
%setup -q -n Guard-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes COPYING META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Guard*
%files help
%{_mandir}/*

%changelog
* Tue Jul 19 2022 Chenyx <chenyixiong3@huawei.com> - 1.023-3
- License compliance rectification

* Mon Jun 13 2022 peijiankang <peijiankang@kylinos.cn> 1.023-2
- remove %{dist} from spec file

* Fri Jun 12 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.023-1
- Specfile autogenerated by Perl_Bot
